<div class="main-panel">
    <div class="content-wrapper mb-5">
        <div class="after-con mob-p0">
            <div class="row">
                <h3 class="pt-2">Mes commandes</h3>


            </div>
            <div class="row">
                <div class="col-lg-12">
                    <ul id="nav-gwbar1"
                        class="nav-gwbar-single-row nav-genz nav-gwbar-white nav-gwbar-scroll nav nav-pills nav-ul"
                        role="tablist">
                        <li class="nav-item">
                            <a class="nav-link nav-a active" data-bs-toggle="pill" href="#home">Tous</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link nav-a" data-bs-toggle="pill" href="#menu1">En cours</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link nav-a" data-bs-toggle="pill" href="#menu2">
                                Annulé</a>
                        </li>
                        <li class="nav-item">
                            <a class="nav-link nav-a" data-bs-toggle="pill" href="#menu3">Terminé</a>
                        </li>
                    </ul>
                    <!-- Tab panes -->
                </div>
                <div class="col-lg-12">
                    <div class="row ">
                        <div class="col-lg-12 col-md-12 col-sm-12 col-12 ase">
                            <div class="input-group mob-mt-3 mob-mb-3 position-r mt-23">

                                <input type="text" class="form-control out-0" placeholder="Recherche"
                                    [(ngModel)]="searchText">
                                <span class="input-i"><i class="fa-solid fa-magnifying-glass"></i></span>
                            </div>
                        </div>
                       

                    </div>
                </div>

            </div>
            <div class="row">
                <div class="col-12 grid-margin">
                    <div class="tab-content">
                        <div id="home" class="tab-pane active p-0">
                            <br>
                            <div class="table-responsive br-6 tbl-height">
                                <table class="table table-bordered tbl-sell">
                                    <thead class="th-bg">
                                        <tr>
                                            <th>ID de la commande</th>
                                            <th>Nom</th>
                                            <th>Quantité</th>
                                            <th>Prix</th>
                                            <th>Statut de l'expedition</th>
                                            <th>Type d'expedition</th>
                                            <th>Date</th>
                                        </tr>
                                    </thead>
                                    <tbody *ngIf="orders">
                                        <tr *ngFor="let d of orders | filter:searchText">
                                            <td width="15%" style="color:hsl(206, 68%, 41%)"><a
                                                    href="/dashboard/(seller:order_detail)?id={{d._id}}">#{{d.order_id}}</a>
                                            </td>

                                            <td width="25%">
                                                <p *ngFor=" let a of d.sellerproducts"> <img
                                                        src="{{baseurl}}static/public/{{a.products.product.images[0]}}"
                                                        alt="pic"> {{a.products.product.title}}

                                                </p>



                                            </td>
                                            <td style="text-align: center;">
                                                <p *ngFor=" let a of d.sellerproducts">
                                                    {{a.products.quantity}}
                                                </p>

                                            </td>


                                            <td style="text-align: center;">{{d.totalPrice | number : '1.2-2'}} CFA</td>
                                            <td style="text-align: center;">
                                                <div class='badge' style="color: orange;"
                                                    *ngIf="d.sellerproducts[0].products.delivery_status == 0">
                                                   Pour procéder 
                                                </div>
                                                <div class='badge' style="color: #2171ae;"
                                                    *ngIf="d.sellerproducts[0].products.delivery_status == 1">
                                                    Ramassé
                                                </div>
                                                <div class='badge' style="color: green;" *ngIf="d.sellerproducts[0].products.delivery_status == 3">
                                                   Livraison terminée
                                                </div>
                                                <div class='badge' style="color: red;" *ngIf="d.sellerproducts[0].products.delivery_status == 4">
                                                   Conducteur annulé
                                                </div>
                                            </td>

                                            <td style="text-align: center;">
                                                <div class='badge' style="color: orange;" *ngIf="d.sellerproducts[0].products.status == 0">
                                                   Pour procéder 
                                                </div>

                                                <div class='badge' style="color: green;" *ngIf="d.sellerproducts[0].products.status == 1">
                                                   Terminé
                                                </div>
                                                <div class='badge' style="color: red;" *ngIf="d.sellerproducts[0].products.status == 2">
                                                   Annulé
                                                </div>
                                            </td>
                                            <td style="text-align: center;">
                                                {{d.createdAt | date:'MMM d, y, HH\'h\'mm'}}

                                            </td>
                                        </tr>
                                        <tr *ngIf="orders.length == 0">
                                            <td class="no-data" colspan="10">
                                                <i class="fa-regular fa-file"></i>
                                                <p>Aucune commande trouvée</p>
                                            </td>
                                        </tr>
                                       
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div id="menu1" class="tab-pane p-0">
                            <br>
                            <div class="table-responsive br-6 tbl-height">
                                <table class="table table-bordered tbl-sell">
                                    <thead class="th-bg">
                                        <tr>
                                            <th>ID de la commande</th>
                                            <th>Nom</th>
                                            <th>Quantité</th>
                                            <th>Prix</th>
                                            <th>Statut de l'expedition</th>
                                            <th>Type d'expedition</th>
                                            <th>date</th>
                                        </tr>
                                    </thead>
                                    <tbody *ngIf="processOrdes">
                                        <tr *ngFor="let d of processOrdes | filter:searchText">
                                            <td width="15%" style="color:hsl(206, 68%, 41%)"><a
                                                    href="/dashboard/(seller:order_detail)?id={{d.order_id}}">#{{d.order_id}}</a>
                                            </td>

                                            <td width="25%">
                                                <p *ngFor=" let a of d.sellerproducts"> <img
                                                    src="{{baseurl}}static/public/{{a.products.product.images[0]}}"
                                                    alt="pic"> {{a.products.product.title}}

                                            </p>


                                            </td>
                                            <td style="text-align: center;">
                                                <p *ngFor=" let a of d.sellerproducts">
                                                    {{a.products.quantity}}
                                                </p>

                                            </td>


                                            <td style="text-align: center;">{{d.totalPrice | number : '1.2-2'}} CFA</td>
                                            <td style="text-align: center;">
                                                <div class='badge' style="color: orange;"
                                                    *ngIf="d.sellerproducts[0].products.delivery_status == 0">
                                                   Pour procéder 
                                                </div>
                                                <div class='badge' style="color: #2171ae;"
                                                    *ngIf="d.sellerproducts[0].products.delivery_status == 1">
                                                    Ramassé
                                                </div>
                                                <div class='badge' style="color: green;" *ngIf="d.sellerproducts[0].products.delivery_status == 3">
                                                   Livraison terminée
                                                </div>
                                                <div class='badge' style="color: red;" *ngIf="d.sellerproducts[0].products.delivery_status == 4">
                                                   Conducteur annulé
                                                </div>
                                            </td>

                                            <td style="text-align: center;">
                                                <div class='badge' style="color: orange;" *ngIf="d.sellerproducts[0].products.status == 0">
                                                   Pour procéder 
                                                </div>

                                                <div class='badge' style="color: green;" *ngIf="d.sellerproducts[0].products.status == 1">
                                                   Terminé
                                                </div>
                                                <div class='badge' style="color: red;" *ngIf="d.sellerproducts[0].products.status == 2">
                                                   Annulé
                                                </div>
                                            </td>
                                            <td style="text-align: center;">
                                               {{d.createdAt |date:'MMM d, y'}}

                                            </td>
                                        </tr>
                                        <tr *ngIf="processOrdes.length == 0">
                                            <td class="no-data" colspan="10">
                                                <i class="fa-regular fa-file"></i>
                                                <p>Aucune commande trouvée</p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div id="menu2" class="tab-pane p-0">
                            <br>
                            <div class="table-responsive br-6">
                                <table class="table table-bordered tbl-height">
                                    <thead class="th-bg">
                                        <tr>
                                            <th>ID de la commande</th>
                                            <th>Nom</th>
                                            <th>Quantité</th>
                                            <th>Prix</th>
                                            <th>Statut de l'expedition</th>
                                            <th>Type d'expedition</th>
                                            <th>date</th>
                                        </tr>
                                    </thead>
                                    <tbody *ngIf="cancelOrders">
                                        <tr *ngFor="let d of cancelOrders | filter:searchText">
                                            <td width="15%" style="color:hsl(206, 68%, 41%)"><a
                                                    href="/dashboard/(seller:order_detail)?id={{d.order_id}}">#{{d.order_id}}</a>
                                            </td>

                                            <td width="25%">
                                                <p *ngFor=" let a of d.sellerproducts"> <img
                                                    src="{{baseurl}}static/public/{{a.products.product.images[0]}}"
                                                    alt="pic"> {{a.products.product.title}}

                                            </p>


                                            </td>
                                            <td style="text-align: center;">
                                                <p *ngFor=" let a of d.sellerproducts">
                                                    {{a.products.quantity}}
                                                </p>

                                            </td>


                                            <td style="text-align: center;">{{d.totalPrice | number : '1.2-2'}} CFA</td>
                                            <td style="text-align: center;">
                                                <div class='badge' style="color: orange;"
                                                    *ngIf="d.sellerproducts[0].products.delivery_status == 0">
                                                   Pour procéder 
                                                </div>
                                                <div class='badge' style="color: #2171ae;"
                                                    *ngIf="d.sellerproducts[0].products.delivery_status == 1">
                                                    Ramassé
                                                </div>
                                                <div class='badge' style="color: green;" *ngIf="d.sellerproducts[0].products.delivery_status == 3">
                                                   Livraison terminée
                                                </div>
                                                <div class='badge' style="color: red;" *ngIf="d.sellerproducts[0].products.delivery_status == 4">
                                                   Conducteur annulé
                                                </div>
                                            </td>

                                            <td style="text-align: center;">
                                                <div class='badge' style="color: orange;" *ngIf="d.sellerproducts[0].products.status == 0">
                                                   Pour procéder 
                                                </div>

                                                <div class='badge' style="color: green;" *ngIf="d.sellerproducts[0].products.status == 1">
                                                   Terminé
                                                </div>
                                                <div class='badge' style="color: red;" *ngIf="d.sellerproducts[0].products.status == 2">
                                                   Annulé
                                                </div>
                                            </td>
                                            <td style="text-align: center;">
                                               {{d.createdAt |date:'MMM d, y'}}

                                            </td>
                                        </tr>
                                        <tr *ngIf="cancelOrders.length == 0">
                                            <td class="no-data" colspan="10">
                                                <i class="fa-regular fa-file"></i>
                                                <p>Aucune commande trouvée</p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                        <div id="menu3" class="tab-pane p-0">
                            <br>
                            <div class="table-responsive br-6">
                                <table class="table table-bordered tbl-height">
                                    <thead class="th-bg">
                                        <tr>
                                            <th>ID de la commande</th>
                                            <th>Nom</th>
                                            <th>Quantité</th>
                                            <th>Prix</th>
                                            <th>Statut de l'expedition</th>
                                            <th>Type d'expedition</th>
                                            <th>date</th>
                                        </tr>
                                    </thead>
                                    <tbody *ngIf="completeOrdes">
                                        <tr *ngFor="let d of completeOrdes | filter:searchText">
                                            <td width="15%" style="color:hsl(206, 68%, 41%)"><a
                                                    href="/dashboard/(seller:order_detail)?id={{d.order_id}}">#{{d.order_id}}</a>
                                            </td>

                                            <td width="25%">
                                                <p *ngFor=" let a of d.sellerproducts"> <img
                                                    src="{{baseurl}}static/public/{{a.products.product.images[0]}}"
                                                    alt="pic"> {{a.products.product.title}}

                                            </p>


                                            </td>
                                            <td style="text-align: center;">
                                                <p *ngFor=" let a of d.sellerproducts">
                                                    {{a.products.quantity}}
                                                </p>

                                            </td>


                                            <td style="text-align: center;">{{d.totalPrice | number : '1.2-2'}} CFA</td>
                                            <td style="text-align: center;">
                                                <div class='badge' style="color: orange;"
                                                    *ngIf="d.sellerproducts[0].products.delivery_status == 0">
                                                   Pour procéder 
                                                </div>
                                                <div class='badge' style="color: #2171ae;"
                                                    *ngIf="d.sellerproducts[0].products.delivery_status == 1">
                                                    Ramassé
                                                </div>
                                                <div class='badge' style="color: green;" *ngIf="d.sellerproducts[0].products.delivery_status == 3">
                                                   Livraison terminée
                                                </div>
                                                <div class='badge' style="color: red;" *ngIf="d.sellerproducts[0].products.delivery_status == 4">
                                                   Conducteur annulé
                                                </div>
                                            </td>

                                            <td style="text-align: center;">
                                                <div class='badge' style="color: orange;" *ngIf="d.sellerproducts[0].products.status == 0">
                                                   Pour procéder 
                                                </div>

                                                <div class='badge' style="color: green;" *ngIf="d.sellerproducts[0].products.status == 1">
                                                   Terminé
                                                </div>
                                                <div class='badge' style="color: red;" *ngIf="d.sellerproducts[0].products.status == 2">
                                                   Annulé
                                                </div>
                                            </td>
                                            <td style="text-align: center;">
                                               {{d.createdAt |date:'MMM d, y'}}

                                            </td>
                                        </tr>
                                        <tr *ngIf="completeOrdes.length == 0">
                                            <td class="no-data" colspan="10">
                                                <i class="fa-regular fa-file"></i>
                                                <p>Aucune commande trouvée</p>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>